/*
 * $Id: VKCUserDocHistory.java,v 1.1 2004/05/05 13:06:04 jonyp Exp $
 *
 * Copyright (c) Siemens AG 2008 
 *           (c) Universität Paderborn 2008 
 * Licensed under EUPL 1.1. 
 *
 * $Log: VKCUserDocHistory.java,v $
 * Revision 1.1  2004/05/05 13:06:04  jonyp
 * first strike
 * *
 */

package vkc.db.entities;

import java.io.Serializable;
import java.util.Date;
import java.sql.Timestamp;

import vkc.db.entities.VKCDocument;

/**
 * Klasse stellt einen UserDocHistory im VKC-System dar
 *
 * @author jonyP
 */
public class VKCUserDocHistory implements Serializable {

	private Integer userId = new Integer(0);
    private Integer documentId = new Integer(0);
    private Timestamp lastAccessed = new Timestamp(new Date().getTime());
    private VKCDocument document = null;
    
    /**
     * Konstruktor
     */
    public VKCUserDocHistory() {
    }
    
    public VKCUserDocHistory( Integer userId, Integer documentId, Timestamp lastAccessed ){
    	this.userId = userId;
    	this.documentId = documentId;
    	this.lastAccessed = lastAccessed;
    }

	public void setUserId(Integer userId) {
		this.userId = userId;
	}

    public Integer getUserId() {
        return this.userId;
    }

    public void setDocumentId(Integer documentId) {
        this.documentId = documentId;
    }
    
	public Integer getDocumentId() {
		return this.documentId;
	}
	
	public VKCDocument getDocument() {
		return this.document;
	}

	public void setDocument(VKCDocument document) {
		this.document = document;
	}
	
	public Timestamp getLastAccessed() {
		return lastAccessed;
	}

	public void setLastAccessed(Timestamp timestamp) {
		lastAccessed = timestamp;
	}

}
